| Home · All Classes · All Namespaces · Modules · Functions · Files

# Tp::ProtocolParameter Class Reference

`#include <TelepathyQt4/connection-manager.h>`

List of all members.

## Public Member Functions

- ProtocolParameter (const QString &name, const QDBusSignature &dbusSignature, QVariant defaultValue, ConnMgrParamFlag flags)
- ~ProtocolParameter ()
- QString name () const
- QDBusSignature dbusSignature () const
- QVariant::Type type () const
- QVariant defaultValue () const
- bool isRequired () const
- bool isSecret () const
- bool isRequiredForRegistration () const
- bool operator== (const ProtocolParameter &other) const
- bool operator== (const QString &name) const

## Constructor & Destructor Documentation

Tp::ProtocolParameter::ProtocolParameter | ( | const QString & | name,
|  | const QDBusSignature & | dbusSignature,
|  | QVariant | defaultValue,
|  | ConnMgrParamFlag | flags |
| ) |  |  |

Tp::ProtocolParameter::~ProtocolParameter | ( |  | ) |

## Member Function Documentation

QString Tp::ProtocolParameter::name | ( |  | ) | const

QDBusSignature Tp::ProtocolParameter::dbusSignature | ( |  | ) | const

QVariant::Type Tp::ProtocolParameter::type | ( |  | ) | const

QVariant Tp::ProtocolParameter::defaultValue | ( |  | ) | const

bool Tp::ProtocolParameter::isRequired | ( |  | ) | const

bool Tp::ProtocolParameter::isSecret | ( |  | ) | const

bool Tp::ProtocolParameter::isRequiredForRegistration | ( |  | ) | const

bool Tp::ProtocolParameter::operator== | ( | const ProtocolParameter & | other | ) | const

bool Tp::ProtocolParameter::operator== | ( | const QString & | name | ) | const